package ru.yandex.wmtools.common.util.geobase;

import java.util.Comparator;

import ru.yandex.wmtools.common.data.info.RegionInfo;

/**
 * @author aherman
 */
public class RegionInfoByNameComparator implements Comparator<RegionInfo> {
    @Override
    public int compare(RegionInfo o1, RegionInfo o2) {
        if (o1.getRegionName() == null) {
            if (o2.getRegionName() == null) {
                return 0;
            } else {
                return -1;
            }
        } else {
            if (o2.getRegionName() == null) {
                return -1;
            }
        }

        return o1.getRegionName().getRuName().compareTo(o2.getRegionName().getRuName());
    }
}
